Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchSaldoCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchSaldoCondition

All Implemented Interfaces:
  `Serializable`

public class DispatchSaldoCondition extends DispatchCondition
Условие отправки, заключающееся в проверке сальдо договора. Под сальдо в данном случае подразумевается сумма входящего остатка договора и платежей на момент отправки.

Since:
  6.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchSaldoCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deserializePart(Element element)`
  `BigDecimal`
  `getSaldoFrom()`
  Получение левой границы условия по сальдо.
  `BigDecimal`
  `getSaldoTo()`
  Получение правой границы условия по сальдо.
  `protected void`
  `serializePart(Element element)`
  `void`
  `setSaldoFrom(BigDecimal saldoFrom)`
  Установка левой границы условия по сальдо.
  `void`
  `setSaldoTo(BigDecimal saldoTo)`
  Установка левой границы условия по сальдо.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DispatchSaldoCondition

    public DispatchSaldoCondition()

- ## Method Details

  - ### getSaldoFrom

    public BigDecimal getSaldoFrom()
    Получение левой границы условия по сальдо.
    Returns:
      сальдо договора "от".

  - ### setSaldoFrom

    public void setSaldoFrom(BigDecimal saldoFrom)
    Установка левой границы условия по сальдо.
    Parameters:
      `saldoFrom` - сальдо договора.

  - ### getSaldoTo

    public BigDecimal getSaldoTo()
    Получение правой границы условия по сальдо.
    Returns:
      сальдо договора "до".

  - ### setSaldoTo

    public void setSaldoTo(BigDecimal saldoTo)
    Установка левой границы условия по сальдо.
    Parameters:
      `saldoTo` - сальдо договора.

  - ### serializePart

    protected void serializePart(Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart(Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`